<?php
//Muestra la imagen del piso especifico
$idPiso = mysql_escape_string($_GET["idPiso"]);
function listImages() {
   $ext = array("jpg", "png", "jpeg", "gif");
   $files = array();
   
   $idPiso = mysql_escape_string($_GET["idPiso"]);
   //Se accede al directorio de las imagenes
   if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$idPiso)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;

       closedir($handle);
   }
   return($files);
}


echo '
<html>
<head>
<title>'.$_SERVER['REQUEST_URI'].'</title>
</head>
<body>';

//Genera lista de imagenes
$lista = listImages (getcwd());
//Si no ha subido ninguna imagen se muestra una por defecto
if(count($lista)==0){
  echo '<img src="img/imgpiso.bmp" WIDTH=50% HEIGHT=40% ></br>';
}else{
  echo '<img src="'. 'http://kl0d.no-ip.biz/tfg/uploads/'.$idPiso.'/'.$lista[0].'" WIDTH=50% HEIGHT=40% ></br>';
}

echo '</body>
</html>';

?>